#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import sys
import os
sys.path.append(os.path.dirname(os.path.dirname(os.path.abspath(__file__))))
from app.core.data_parse.parse_web import process_webpage_with_QWen

# 只测试多人员提取
with open('新任命多人-markdown格式.md', 'r', encoding='utf-8') as f:
    content = f.read()

print('开始解析多人任命信息...')
result = process_webpage_with_QWen(content, "2025-01-15")
print(f'成功提取 {len(result)} 个人员信息')
for i, person in enumerate(result, 1):
    print(f'第 {i} 个人员: {person.get("name_zh", "N/A")} - {person.get("title_zh", "N/A")} - {person.get("hotel_zh", "N/A")}') 